Package org.eclipse.emf.cdo.security

## Interface ObjectPermission

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `EObject`, `Notifier`, `Permission`
  All Known Implementing Classes:
    `ObjectPermissionImpl`

      @Deprecated
      public interface ObjectPermission
      extends Permission

  Deprecated.
  As of 4.3 use `FilterPermission` and `ObjectFilter`.
  A representation of the model object 'Object Permission'.
  Since:
    4.2
  See Also:
    `SecurityPackage.getObjectPermission()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Permission

      `getAccess, getRole, isApplicable, setAccess, setRole`